> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetokb.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get knowledge base visits

> This API returns the number of visits to the knowledge base for each day in the period, oldest day first. It is not paginated.

> [!NOTE]
>
> Replace `{your-subdomain}` with your workspace's subdomain. \
> Learn how to find your subdomain in [Workspace subdomain](https://apidocs.neetokb.com/api/workspace-subdomain.md).


## OpenAPI

````yaml bundled/reports.yaml GET /reports/kb_visits
openapi: 3.0.3
info:
  title: NeetoKB Reports API
  description: APIs to read and clear the search, invalid URL and visit reports.
  version: 1.0.0
servers:
  - description: NeetoKB API
    url: https://{your-subdomain}.neetokb.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/api/workspace-subdomain).
security: []
paths:
  /reports/kb_visits:
    get:
      tags:
        - Reports
      summary: Get knowledge base visits
      description: >-
        This API returns the number of visits to the knowledge base for each day
        in the period, oldest day first. It is not paginated.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - $ref: '#/components/parameters/report_duration_param'
        - $ref: '#/components/parameters/report_start_date_param'
        - $ref: '#/components/parameters/report_end_date_param'
      responses:
        '200':
          description: OK - Request succeeded
          content:
            application/json:
              schema:
                type: object
                properties:
                  visits:
                    type: array
                    items:
                      type: object
                      properties:
                        accessed_on:
                          type: string
                          format: date
                          example: '2026-03-10'
                        visits_count:
                          type: integer
                          example: 4
        '401':
          $ref: '#/components/responses/unauthorized_response'
        '422':
          $ref: '#/components/responses/report_period_unprocessable_response'
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/api/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
    report_duration_param:
      in: query
      name: duration
      description: >-
        Period to report on. Defaults to `all_time`. For `custom`, send both
        `start_date` and `end_date`.
      required: false
      schema:
        type: string
        enum:
          - all_time
          - last_24_hours
          - last_7_days
          - this_week
          - last_week
          - last_30_days
          - this_month
          - last_month
          - this_quarter
          - last_quarter
          - custom
        default: all_time
    report_start_date_param:
      in: query
      name: start_date
      description: >-
        Start of the period as an ISO 8601 date or time. Needed with
        `duration=custom`. Must not be after `end_date`.
      required: false
      schema:
        type: string
        example: '2026-03-01'
    report_end_date_param:
      in: query
      name: end_date
      description: >-
        End of the period as an ISO 8601 date or time. Needed with
        `duration=custom`.
      required: false
      schema:
        type: string
        example: '2026-03-31'
  responses:
    unauthorized_response:
      description: Unauthorized - API key is missing or invalid
    report_period_unprocessable_response:
      description: >-
        Unprocessable Entity - The duration is unknown, a custom period lacks
        `start_date` or `end_date`, a date cannot be read, or `start_date` is
        after `end_date`
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error_body'
  schemas:
    error_body:
      type: object
      properties:
        error:
          type: string

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.